com.sap.conn.jco

## Interface JCoParameterField

- All Superinterfaces:
    JCoField

      public interface JCoParameterField
      extends JCoField

  Class to represent a data field in a parameter list. In comparison to JCoField, there are methods specific to fields that are member of a parameter list.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefault()` Returns the default value of this field.
    `boolean` | `isActive()` Checks whether this field is active.
    `boolean` | `isChanging()` Checks whether this field is an export parameter.
    `boolean` | `isExport()` Checks whether this field is an export parameter.
    `boolean` | `isImport()` Checks whether this field is an import parameter.
    `boolean` | `isOptional()` Checks whether this field is an optional parameter.

    - ### Methods inherited from interface com.sap.conn.jco.JCoField

      `getBigDecimal, getBigInteger, getBinaryStream, getByte, getByteArray, getByteLength, getChar, getCharacterStream, getCharArray, getClassNameOfValue, getDate, getDecimals, getDescription, getDouble, getExtendedFieldMetaData, getFloat, getInt, getLength, getLong, getName, getRecordMetaData, getShort, getString, getStructure, getTable, getTime, getType, getTypeAsString, getUnicodeByteLength, getValue, isInitialized, isStructure, isTable, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, write`

- - ### Method Detail

    - #### isActive

          boolean isActive()

      Checks whether this field is active.
      Returns:
        true if the field is an activated parameter, `false` otherwise

    - #### isOptional

          boolean isOptional()

      Checks whether this field is an optional parameter.
      Returns:
        true if the field is an optional parameter, `false` otherwise

    - #### isImport

          boolean isImport()

      Checks whether this field is an import parameter.
      Returns:
        true if the field is an import parameter, `false` otherwise

    - #### isExport

          boolean isExport()

      Checks whether this field is an export parameter.
      Returns:
        true if the field is an export parameter, `false` otherwise

    - #### isChanging

          boolean isChanging()

      Checks whether this field is an export parameter.
      Returns:
        true if the field is an export parameter, `false` otherwise

    - #### getDefault

          String getDefault()

      Returns the default value of this field.
      Returns:
        the field type

Copyright © 2016 SAP. All Rights Reserved.